<template>
  <div class="q-my-md owlie">
    <p class="text-h6 q-ma-sm text-owlie">{{$t('hello')}} {{user.email}}</p>
  <q-btn @click="logout" id="login_signout" class="bg-secondary q-ma-sm">{{$t('signout')}}</q-btn>
  </div>
</template>

<script>
export default {
  // name: 'ComponentName',
  data() {
    return {
      user: this.$store.$fb.auth().currentUser,
    };
  },
  methods: {
    logout() {
      this.$store.dispatch('auth/logoutUser');
    },
  },
};
</script>
